unit Polydem2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, Poly, StdCtrls, Spin;

type
  TForm2 = class(TForm)
    Polygons1: TPolygons;
    Timer1: TTimer;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure Timer1Timer(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation
const
  counter: integer = 0;
  flag: boolean = true;
  MaxCount = 80;
  NumberOfPolyGons: integer = 5;
{$R *.DFM}

procedure TForm2.Timer1Timer(Sender: TObject);
begin
  if flag=true then
  begin
    inc(counter);
    if counter>MaxCount then flag:=false;
  end
  else
  begin
    dec(counter);
    if counter<=0 then flag:=true;
  end;
  Polygons1.PolyCount:=counter+NumberOfPolygons-1;
  Polygons1.StartPolyCount:=counter;
end;

procedure TForm2.SpinEdit1Change(Sender: TObject);
begin
  NumberOfPolygons:=SpinEdit1.Value;
end;

procedure TForm2.SpinEdit2Change(Sender: TObject);
begin
  Polygons1.AngleStep:=SpinEdit2.Value;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
  halt;
end;

end.
